SDL_windowsvideo.h File Reference
`#include "../../SDL_internal.h"`
`#include "../../core/windows/SDL_windows.h"`
`#include "../SDL_sysvideo.h"`
`#include "SDL_msctf.h"`
`#include <imm.h>`
`#include "SDL_windowsclipboard.h"`
`#include "SDL_windowsevents.h"`
`#include "SDL_windowskeyboard.h"`
`#include "SDL_windowsmodes.h"`
`#include "SDL_windowsmouse.h"`
`#include "SDL_windowsopengl.h"`
`#include "SDL_windowsopengles.h"`
`#include "SDL_windowswindow.h"`
`#include "SDL_events.h"`
`#include "SDL_loadso.h"`
Include dependency graph for SDL_windowsvideo.h:

Go to the source code of this file.

## Data Structures

struct | PTOUCHINPUT
struct | TSFSink
struct | LPINPUTCONTEXT2
struct | SDL_VideoData

## Macros

#define | MAX_CANDLIST 10
#define | MAX_CANDLENGTH 256
#define | TWF_FINETOUCH 1
#define | TWF_WANTPALM 2
#define | TOUCHEVENTF_MOVE 0x0001
#define | TOUCHEVENTF_DOWN 0x0002
#define | TOUCHEVENTF_UP 0x0004

## Typedefs

typedef BOOL(* | PFNSHFullScreen) (HWND, DWORD)
typedef void(* | PFCoordTransform) (SDL_Window *, POINT *)
typedef struct IDirect3D9 | IDirect3D9

## Enumerations

enum | MONITOR_DPI_TYPE { MDT_EFFECTIVE_DPI = 0, MDT_ANGULAR_DPI = 1, MDT_RAW_DPI = 2, MDT_DEFAULT = MDT_EFFECTIVE_DPI }

## Functions

| DECLARE_HANDLE (HTOUCHINPUT)
SDL_bool | D3D_LoadDLL (void **pD3DDLL, IDirect3D9 **pDirect3D9Interface)

## Variables

SDL_bool | g_WindowsEnableMessageLoop
SDL_bool | g_WindowFrameUsableWhileCursorHidden

## Macro Definition Documentation

## MAX_CANDLENGTH

#define MAX_CANDLENGTH 256

Definition at line 39 of file SDL_windowsvideo.h.

## MAX_CANDLIST

#define MAX_CANDLIST 10

Definition at line 38 of file SDL_windowsvideo.h.

## TOUCHEVENTF_DOWN

#define TOUCHEVENTF_DOWN 0x0002

Definition at line 59 of file SDL_windowsvideo.h.

## TOUCHEVENTF_MOVE

#define TOUCHEVENTF_MOVE 0x0001

Definition at line 58 of file SDL_windowsvideo.h.

## TOUCHEVENTF_UP

#define TOUCHEVENTF_UP 0x0004

Definition at line 60 of file SDL_windowsvideo.h.

## TWF_FINETOUCH

#define TWF_FINETOUCH 1

Definition at line 55 of file SDL_windowsvideo.h.

## TWF_WANTPALM

#define TWF_WANTPALM 2

Definition at line 56 of file SDL_windowsvideo.h.

## Typedef Documentation

## IDirect3D9

typedef struct IDirect3D9 IDirect3D9

Definition at line 194 of file SDL_windowsvideo.h.

## PFCoordTransform

typedef void(* PFCoordTransform) (SDL_Window *, POINT *)

Definition at line 91 of file SDL_windowsvideo.h.

## PFNSHFullScreen

typedef BOOL(* PFNSHFullScreen) (HWND, DWORD)

Definition at line 90 of file SDL_windowsvideo.h.

## Enumeration Type Documentation

## MONITOR_DPI_TYPE

enum MONITOR_DPI_TYPE

Enumerator
MDT_EFFECTIVE_DPI |
MDT_ANGULAR_DPI |
MDT_RAW_DPI |
MDT_DEFAULT |

Definition at line 81 of file SDL_windowsvideo.h.

{
MDT_EFFECTIVE_DPI = 0,
MDT_ANGULAR_DPI = 1,
MDT_RAW_DPI = 2,
MDT_DEFAULT = MDT_EFFECTIVE_DPI
} MONITOR_DPI_TYPE;
MDT_ANGULAR_DPI
Definition: SDL_windowsvideo.h:83
MONITOR_DPI_TYPE
MONITOR_DPI_TYPE
Definition: SDL_windowsvideo.h:81
MDT_RAW_DPI
Definition: SDL_windowsvideo.h:84
MDT_DEFAULT
Definition: SDL_windowsvideo.h:85
MDT_EFFECTIVE_DPI
Definition: SDL_windowsvideo.h:82

## Function Documentation

## D3D_LoadDLL()

SDL_bool D3D_LoadDLL | ( | void ** | pD3DDLL,
|  | IDirect3D9 ** | pDirect3D9Interface
| ) |  |

## DECLARE_HANDLE()

DECLARE_HANDLE | ( | HTOUCHINPUT |  | ) |

## Variable Documentation

## g_WindowFrameUsableWhileCursorHidden

SDL_bool g_WindowFrameUsableWhileCursorHidden

## g_WindowsEnableMessageLoop

SDL_bool g_WindowsEnableMessageLoop